/// *do not use*, only for dev.
class METHOD {
  final String path;
  const METHOD(this.path);
}

class MethodForm extends METHOD {
  final formUrlEncoded;
  const MethodForm(String path, {this.formUrlEncoded = false}): super(path);
}

class POST extends MethodForm {
  const POST(String path, {formUrlEncoded = false}) : super(path, formUrlEncoded: formUrlEncoded);
}

class PUT extends MethodForm {
  const PUT(String path, {formUrlEncoded = false}) : super(path, formUrlEncoded: formUrlEncoded);
}

class GET extends METHOD {
  const GET(String path) : super(path);
}

class DELETE extends METHOD {
  const DELETE(String path) : super(path);
}

/// Use as /userInfo/{user}
class PATH {
  final String key;
  const PATH(this.key);
}

class FILE {
  const FILE();
}

class HEADER {
  final String key;
  const HEADER(this.key);
}

class FIELD {
  final String key;
  const FIELD(this.key);
}

class QUERY {
  final String key;
  const QUERY(this.key);
}
